{
  "name": "tkinter-designer",
  "displayName": "tkinter-designer",
  "description": "VS code disigner",
  "version": "0.0.1",
  "publisher": "gr1hon",
  "engines": {
    "vscode": "^1.107.0"
  },
  "categories": [
    "Other"
  ],
  "activationEvents": [
    "onCommand:tkinter-designer.start"
  ],
  "main": "./out/extension.js",
  "contributes": {
    "commands": [
      {
        "command": "tkinter-designer.start",
        "title": "Start Tkinter Designer"
      }
    ],
    "languages": [
      {
        "id": "tkinter-form",
        "extensions": [
          ".tkjson"
        ],
        "aliases": [
          "Tkinter Form Design"
        ]
      }
    ],
    "customEditors": [
      {
        "viewType": "tkinter-designer.editor",
        "displayName": "Tkinter Visual Editor",
        "selector": [
          {
            "filenamePattern": "*.tkjson"
          }
        ],
        "priority": "default"
      }
    ]
  },
  "scripts": {
    "vscode:prepublish": "npm run compile",
    "compile": "tsc -p ./",
    "watch": "tsc -watch -p ./",
    "pretest": "npm run compile && npm run lint",
    "lint": "eslint src",
    "test": "vscode-test"
  },
  "devDependencies": {
    "@types/mocha": "^10.0.10",
    "@types/node": "22.x",
    "@types/vscode": "^1.107.0",
    "@vscode/test-cli": "^0.0.12",
    "@vscode/test-electron": "^2.5.2",
    "eslint": "^9.39.1",
    "typescript": "^5.9.3",
    "typescript-eslint": "^8.48.1"
  },
  "dependencies": {
    "grapesjs": "^0.16.45"
  }
}
